import { select, arc } from "d3";

const svg = select("svg");

const height = svg.attr("height");
const width = svg.attr("width");
const eyeSpacing = 100;
const eyeYOffset = 70;

const circle = svg.append("circle")
	.attr("r", height/2)
  .attr("cx", width/2)
  .attr("cy", height/2)
	.attr("fill", "yellow")
	.attr("stroke", "black");

const leftEye = svg.append("circle")
	.attr("r", 30)
  .attr("cx", width/2 - eyeSpacing)
  .attr("cy", height/2 - eyeYOffset)
	.attr("fill", "black");

const rightEye = svg.append("circle")
	.attr("r", 30)
  .attr("cx", width/2 + eyeSpacing)
  .attr("cy", height/2 - eyeYOffset)
	.attr("fill", "black");

const mouth = svg.append("path")
	.attr("d", arc()({
  	innerRadius: 80,
    outerRadius: 100,
    startAngle: 0,
    endAngle: Math.PI/2
  }));
  